[package]
name = "fixed_wide"
version = "0.2.0"
edition = "2024"
repository = "https://git.itzana.me/StrafesNET/strafe-project"
license = "MIT OR Apache-2.0"
description = "Fixed point numbers with optional widening Mul operator."
authors = ["Rhys Lloyd <krakow20@gmail.com>"]

[features]
default=[]
deferred-division=["dep:ratio_ops"]
wide-mul=[]
zeroes=["dep:arrayvec"]

[dependencies]
bnum = "0.13.0"
arrayvec = { version = "0.7.6", optional = true }
paste = "1.0.15"
ratio_ops = { version = "0.1.0", path = "../ratio_ops", registry = "strafesnet", optional = true }
